Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 586327 - Review Request: Webmin - A web-based administration interface for Unix systems.
Summary: Review Request: Webmin - A web-based administration interface for Unix systems.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-04-27 10:18 UTC by Gowrishankar Rajaiyan
Modified: 2010-12-26 20:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-26 20:18:30 UTC


Attachments (Terms of Use)

Description Gowrishankar Rajaiyan 2010-04-27 10:18:46 UTC
Spec URL: http://gowrishankar.fedorapeople.org/spec/webmin.spec
SRPM URL: http://gowrishankar.fedorapeople.org/srpms/webmin-1.510-1.src.rpm

Description: 
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote files-systems and more using your
web browser.

After installation, enter the URL http://localhost:10000/ into your
browser and log-in as root with your root password.


I have the following issues:

1. "Undefined subroutine &WebminCore::init_config called at /usr/libexec/webmin/session_login.cgi line 10." displayed in browser when http://localhost:10000/ is accessed.

2. "Running uninstall scripts ..
Undefined subroutine &WebminCore::init_config called at /usr/libexec/webmin/run-uninstalls.pl line 7." upon uninstallation.


Submitting this spec file for a preliminary review, shall upload the new spec file as soon as I fix the above 2 issues or could some one help me fix this?

Comment 1 Christoph Wickert 2010-04-27 16:03:50 UTC
Are you sure you want to have this package in Fedora and be responsible for it? webmin has had a very bad reputation for screwing up systems and having security issues in the past, not sure if this has changed.

Before you package this, please look into the old reviews of this package, see bug 184080 and bug 468570.

Comment 2 Kevin Fenzi 2010-04-27 16:11:19 UTC
I highly recommend that you start from scratch here. I think it might be possible to package this sanely, but the current upstream spec is so crazy it's hard to describe. ;)

Comment 3 Jason Tibbitts 2010-11-18 01:28:42 UTC
I don't know if the above two comments were sufficient to scare you off, but if not then it would be good to respond.  The spec above is really pretty painful to look at, and really does need significant work.

If there's no response, I'll go ahead and close this.


Note You need to log in before you can comment on or make changes to this bug.